/* Defines the member functions for the base class of the ACE_IO_SAP
   ACE_DEV abstraction. */

#include "ace/DEV.h"

ACE_ALLOC_HOOK_DEFINE(ACE_DEV)

void
ACE_DEV::dump (void) const
{
  ACE_TRACE ("ACE_DEV::dump");
}

/* This is the do-nothing constructor. */

ACE_DEV::ACE_DEV (void)
{
  ACE_TRACE ("ACE_DEV::ACE_DEV");
}

// Close the device

int
ACE_DEV::close (void)
{
  ACE_TRACE ("ACE_DEV::close");
  int result = ACE_OS::close (this->get_handle ());
  this->set_handle (ACE_INVALID_HANDLE);
  return result;
}
