#if !defined (ACE_LOCAL_TOKENS_T_C)
#define ACE_LOCAL_TOKENS_T_C

#include "ace/Log_Msg.h"
#include "ace/Local_Tokens_T.h"

#if !defined (__INLINE__)
#include "ace/Local_Tokens_T.i"
#endif /* __INLINE__ */

template <class TYPE>
ACE_Token_Name<TYPE>::ACE_Token_Name (void)
{
  ACE_TRACE ("ACE_Token_Name::ACE_Token_Name");
}

template <class TYPE>
ACE_Token_Name<TYPE>::ACE_Token_Name (const char *token_name, 
				      TYPE type)
{ 
  ACE_TRACE ("ACE_Token_Name::ACE_Token_Name");
  this->type (type);
  this->name (token_name);
}

template <class TYPE>
ACE_Token_Name<TYPE>::ACE_Token_Name (const ACE_Token_Name<TYPE> &rhs)
: type_ ((TYPE) 0)
{
  ACE_TRACE ("ACE_Token_Name::ACE_Token_Name");
  this->type (rhs.type ());
  this->name (rhs.name ());
}

template <class TYPE>
ACE_Token_Name<TYPE>::~ACE_Token_Name ()
{
  ACE_TRACE ("ACE_Token_Name::~ACE_Token_Name");
}

#endif // ACE_LOCAL_TOKENS_T_C
