#include "ace/Log_Msg.h"
#include "ace/Stream.h"

#if defined (ACE_HAS_THREADS)

extern "C" STREAM *_alloc (void);
extern "C" ACE_Module *_alloc_da (void);
extern "C" ACE_Module *_alloc_ea (void);
extern "C" ACE_Module *_alloc_cr (void);

STREAM *
_alloc (void)
{
  return new STREAM;
}

ACE_Module *
_alloc_da (void)
{
  return new ACE_Module ("Device_Adapter");
}

ACE_Module *
_alloc_ea (void)
{
  return new ACE_Module ("Event_Analyzer");
}

ACE_Module *
_alloc_cr (void)
{
  return new ACE_Module ("Router");
}
#endif /* ACE_HAS_THREADS */
