// Test the client-side of the ACE Name Server...

#include "ace/Reactor.h"
#include "ace/Name_Options.h"
#include "ClientTest.h"

static sig_atomic_t finished = 0;

int 
main (int argc, char **argv)
{
  ACE_DEBUG ((LM_DEBUG, "in main\n"));

  ACE_Name_Options::instance ()->parse_args (argc, argv);

  // Get a handler
  ClientTest client_handler;
  client_handler.init (argc, argv);

  // Get a reactor
  ACE_Reactor reactor;

  client_handler.open (&reactor);
  
  while (!finished)
    reactor.handle_events ();
  
  cerr << argv[0] << " cleaning up....." << endl;
  return 0;
}
