#include "ace/Name_Server.h"
#include "nameservertest.h"

void 
Nameservertest::listopt (void)
{
  cout << "serverport is " 
       << ACE_Name_Options::instance ()->nameserver_port () 
       << endl;
  cout << "serverhost is " 
       << ACE_Name_Options::instance ()->nameserver_host () 
       << endl;
  cout << "process_name is " 
       << ACE_Name_Options::instance ()->process_name () 
       << endl;
  cout << "namespace_dir is " 
       << ACE_Name_Options::instance ()->namespace_dir () 
       << endl;
}

int 
Nameservertest::init (int argc, char ** argv)
{
  this->listopt ();

  ACE_Name_Server my_name_server (argc, argv);

  my_name_server.run ();

  return 0;
}

int 
Nameservertest::fini (void)
{
  cout << "Nameservertest::fini called" << endl;
  return 0;
}

int 
Nameservertest::info (char **, unsigned) const
{
  cout << "Nameservertest::info called" << endl;
  return 0;
}

ACE_Service_Object *_alloc (void)
{
  return new Nameservertest;
}
