#include "ace/Log_Msg.h"
#include "ace/Service_Config.h"
#include "Notification_Receiver_i.h"

#if defined (ACE_HAS_ORBIX)

Notification_Receiver_i::Notification_Receiver_i (void)
{
}

Notification_Receiver_i::~Notification_Receiver_i (void)
{
}

// Inform the <Event_Comm::Notification_Receiver> that <event> has occurred.

void
Notification_Receiver_i::receive_notification
  (const Event_Comm::Notification &notification,
   CORBA::Environment &IT_env)
{
  ACE_DEBUG ((LM_DEBUG, "**** got notification = %s\n", 
	     notification.tag_));
}

// Disconnect the <Event_Comm::Notification_Receiver> from the <Event_Comm::Notifier>.

void 
Notification_Receiver_i::disconnect (const char *reason,
				     CORBA::Environment &IT_env)
{
  ACE_DEBUG ((LM_DEBUG, "**** got disconnected due to %s\n", reason));
  ACE_Service_Config::end_event_loop ();
}

#endif /* ACE_HAS_ORBIX */
