/* ACE_SOCK Server */

#include "ace/SOCK_Acceptor.h"
#include "ace/INET_Addr.h"
#include "CPP-acceptor.h"

typedef Svc_Handler<ACE_SOCK_STREAM> SVC_HANDLER;
typedef IPC_Server<SVC_HANDLER, ACE_SOCK_ACCEPTOR> IPC_SERVER;

int 
main (int argc, char *argv[])
{                                                                
  IPC_SERVER acceptor;
  
  if (acceptor.init (argc, argv) == -1)
    ACE_ERROR_RETURN ((LM_ERROR, "%p\n", "init"), -1);

  return acceptor.svc ();
}

