/* ACE_IPC_SAP Client */
                                                        
#include "ace/SOCK_Connector.h"
#include "ace/INET_Addr.h"                              
                                                        
int 
main (int argc, char *argv[])                       
{                                                       
  char *host = argc > 1 ? argv[1] : ACE_DEFAULT_SERVER_HOST;
  char *send_str = argc > 2 ? argv[2] : "hello world";
  /* Establish the connection with server */
  
  ACE_SOCK_Stream cli_stream;
  ACE_SOCK_Connector con (cli_stream, ACE_INET_Addr (ACE_DEFAULT_SERVER_PORT, host));
                               
  /* Send data to server (correctly handles "incomplete writes") */
  if (cli_stream.send_n (send_str, strlen (send_str) + 1) == -1)
    ACE_OS::perror ("send"), ACE_OS::exit (1);

  /* Explicitly close the connection */
  if (cli_stream.close () == -1) 
    ACE_OS::perror ("close"), ACE_OS::exit (1);
  return 0;
}                                                       
