/* -*- C++ -*- */


INLINE int
ACE_Token::remove (void)
{
  ACE_TRACE ("ACE_Token::remove");
  // Don't have an implementation for this yet...
  errno = ENOTSUP;
  return -1;
}

INLINE int 
ACE_Token::tryacquire (void)
{
  ACE_TRACE ("ACE_Token::tryacquire");
  return this->shared_acquire (0, 0, (ACE_Time_Value *) ACE_Time_Value::zerop);
}

INLINE int 
ACE_Token::waiters (void)
{
  ACE_TRACE ("ACE_Token::waiters");
  ACE_Guard<ACE_Mutex> m (this->lock_);

  int ret = this->waiters_;
  return ret;
}

INLINE thread_t 
ACE_Token::current_owner (void)
{
  ACE_TRACE ("ACE_Token::current_owner");
  ACE_Guard<ACE_Mutex> m (this->lock_);

  return this->owner_;
}

