// Test the client-side of the ACE Name Server...

#include "ace/Service_Config.h"
#include "Name_Options.h"

extern "C" ACE_Service_Object *_alloc (void);

int 
main (int argc, char **argv)
{
  ACE_DEBUG ((LM_DEBUG, "in main\n"));

  ACE_Name_Options::instance ()->parse_args (argc, argv);

  ACE_Service_Config daemon;

  ACE_DEBUG ((LM_DEBUG, "after initializing daemon %n\n"));

  if (daemon.open (argc, argv) == -1)
    {
      if (errno != ENOENT)
	ACE_ERROR ((LM_ERROR, "%p\n%a", "open", 1));
      else // Use static binding.
	{
	  ACE_Service_Object *so = _alloc ();

	  static char *l_argv[2] = { "ACE", "rules" };

	  if (so->init (2, l_argv) == -1)
	    ACE_ERROR ((LM_ERROR, "%p\n%a", "init", 1));
	}
    }

  return 0;
}
