# SunOS 5.x (Solaris 2.x) with g++ *not* using Orbix
#
# SOBUILD - compile into .so directly
#
CC	= gcc -w
CXX	= gcc -w -V2.7.1 -frepo -I. -fno-strict-prototypes -D__INLINE__
DLD	= $(CXX)
LDFLAGS	+= -L $(WRAPPER_ROOT)/ace -L ./ -z muldefs
LIBS	+= -lsocket -ldl -lstdc++ -lgen -lnsl -lthread 
PIC	= -fpic
AR	= ar
ARFLAGS	= ruv
RANLIB	= /bin/true
SOFLAGS	= -G $(CPPFLAGS)
SOBUILD = $(COMPILE.cc) $(PIC) -o $(VSHDIR)$*.so $<
# SOLINK 	= cp $< $@
# SOLINK 	= ln -s $< $@
# SOLINK	= $(SOLINK.cc) -o $@ $(LDFLAGS) $<
PRELIB	= (echo "main() { }" > gcctemp.c && \
	  $(COMPILE.cc) -o gcctemp.o gcctemp.c && \
	  $(LINK.cc) -o gcctemp gcctemp.o $^ $(LDFLAGS) $(LIBS); \
	  status=$$?; rm -f gcctemp*; exit $$status)
